PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List channels GETCreate a channel POSTGet a channel GETUpdate a channel PATCHList channel messages GETCreate a message POSTUpdate a message PATCHDelete a message DELETE
Chats

Get a channel

GET
/channels/{channelId}

Authorization

x-api-key<token>

In: header

Path Parameters

channelId*string

Response Body

application/json

curl -X GET "https://example.com/channels/string"
{  "data": {    "id": "string",    "workspaceId": "string",    "categoryId": "string",    "name": "string",    "slug": "string",    "description": "string",    "type": "string",    "visibility": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

Create a channel POST

Previous Page

Update a channel PATCH

Next Page